Index: trunk/data/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 105)
+++ trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 115)
@@ -5,4 +5,5 @@
 	neue Suchstrategie bei Leer-Eingabe (Liste Amtsgerichte), Icon GB-Bez.
 	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
+	24.10.2011 Nach Pos-Klick Highlight erneuern statt hideHighlight
 */
 import_request_variables("PG");
@@ -429,19 +430,14 @@
 	// +++ Ermitteln anderer Buchungsstellen mit Rechten an dieser
 	// +++ Ermitteln anderer Buchungsstellen wo diese Rechte hat
-
 	// +++ Filter "Gemeinde" berÃŒcksichtigt!! Wenn gesetzt.
 
 	// Buchungsstelle -> Flurstueck
 	$sql ="SELECT t.gemeinde, g.bezeichnung, f.gml_id, f.flurnummer, f.zaehler, f.nenner, ";
-
-	//	$sql.="x(st_transform (st_centroid(f.wkb_geometry),".$epsg.")) AS x, ";
-	//	$sql.="y(st_transform (st_centroid(f.wkb_geometry),".$epsg.")) AS y ";
 	if($epsg == "25832") { // Transform nicht notwendig
 		$sql.="x(st_Centroid(f.wkb_geometry)) AS x, ";
 		$sql.="y(st_Centroid(f.wkb_geometry)) AS y ";
-	}
-	else {  
-		$sql.="x(st_transform(st_Centroid(f.wkb_geometry), ".$epsg.")) AS x, ";
-		$sql.="y(st_transform(st_Centroid(f.wkb_geometry), ".$epsg.")) AS y ";			
+	} else {  
+		$sql.="x(st_transform(st_Centroid(f.wkb_geometry),".$epsg.")) AS x, ";
+		$sql.="y(st_transform(st_Centroid(f.wkb_geometry),".$epsg.")) AS y ";			
 	}
 	$sql.="FROM ax_gemarkung g ";
@@ -479,6 +475,6 @@
 				echo "\n\t</a> ";
 				echo "\n\t".$gmkg." <a title='Flurst&uuml;ck positionieren 1:".$scalefs."' href='";
-					echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
-					echo "parent.parent.hideHighlight();' ";
+						echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
+						echo "parent.parent.showHighlight(".$x.",".$y.")' ";
 					echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
 					echo "onmouseout='parent.parent.hideHighlight()'>&nbsp;";
Index: trunk/data/mapbender/http/nav/alkisnav_fls.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_fls.php	(revision 105)
+++ trunk/data/mapbender/http/nav/alkisnav_fls.php	(revision 115)
@@ -6,4 +6,5 @@
 	12.05.2011 Syntaxfehler in SQL
 	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
+	24.10.2011 Nach Pos-Klick Highlight erneuern statt hideHighlight
 */
 import_request_variables("PG");
@@ -331,6 +332,6 @@
 			echo "\n\t</a> ";			
 			echo "\n\tFlst. <a title='Flurst&uuml;ck positionieren 1:".$scalefs."' href='";
-				echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
-				echo "parent.parent.hideHighlight();' ";
+					echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
+					echo "parent.parent.showHighlight(".$x.",".$y.");' ";
 				echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
 				echo "onmouseout='parent.parent.hideHighlight()'>&nbsp;".$fskenn."&nbsp;</a>";
@@ -386,6 +387,6 @@
 			echo "\n\t</a> ";		
 			echo "\n\tFlst. <a title='Flurst&uuml;ck positionieren 1:".$scalefs."' href='";
-				echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
-				echo "parent.parent.hideHighlight();' ";
+					echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
+					echo "parent.parent.showHighlight(".$x.",".$y.");' ";
 				echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
 				echo "onmouseout='parent.parent.hideHighlight()'>";
Index: trunk/data/mapbender/http/nav/alkisnav_eig.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_eig.php	(revision 105)
+++ trunk/data/mapbender/http/nav/alkisnav_eig.php	(revision 115)
@@ -4,4 +4,5 @@
 	11.04.2011 epsg in Link, transform nur wenn notwendig
 	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
+	24.10.2011 Nach Pos-Klick Highlight erneuern statt hideHighlight
 */
 import_request_variables("PG");
@@ -219,6 +220,6 @@
 			echo "\n\t</a> ";	
 			echo "\n\tFlst. <a title='Flurst&uuml;ck positionieren 1:".$scalefs."' href='";
-				echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
-				echo "parent.parent.hideHighlight();' ";
+					echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalefs."); ";
+					echo "parent.parent.showHighlight(".$x.",".$y.");' ";
 				echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
 				echo "onmouseout='parent.parent.hideHighlight()'>";
Index: trunk/data/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_adr.php	(revision 105)
+++ trunk/data/mapbender/http/nav/alkisnav_adr.php	(revision 115)
@@ -6,4 +6,5 @@
 	11.04.2011 epsg in Link, transform nur wenn notwendig
 	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
+	24.10.2011 Nach Pos-Klick Highlight erneuern statt hideHighlight
 
 	ToDo: Mouse-Over in StraÃenliste soll Position zeigen,
@@ -218,8 +219,8 @@
 			echo "\n<div class='stu'>";		
 			if ($x > 0) { // Koord. bekommen?
-				echo "\n\t<a title='Positionieren 1:".$scalestr."' href='"; // mit Link
-					echo "javascript:parent.parent.hideHighlight();";
-					echo "\n\t\tparent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalestr.");";
-					echo "\n\t\tdocument.location.href=\"".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;str_schl=".$str_schl."\"' ";
+				echo "\n\t<a title='Positionieren 1:".$scalestr."' href='javascript:"; // mit Link
+						echo "parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalestr."); ";
+						echo "parent.parent.showHighlight(".$x.",".$y."); ";
+						echo "document.location.href=\"".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;str_schl=".$str_schl."\"' ";
 					echo "\n\t\tonmouseover='parent.parent.showHighlight(" .$x. "," .$y. ")' ";
 					echo "\n\t\tonmouseout='parent.parent.hideHighlight()'";
@@ -275,5 +276,5 @@
 				echo "<a href='";
 					echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalehs."); ";
-					echo "parent.parent.hideHighlight();' ";
+					echo "parent.parent.showHighlight(".$x.",".$y.");' ";
 				echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
 				echo "onmouseout='parent.parent.hideHighlight()";