Index: trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisbestnw.php	(revision 123)
+++ trunk/var/www/info/alkis/alkisbestnw.php	(revision 128)
@@ -9,4 +9,5 @@
 	26.07.2011  debug, SQL nur im Testmodus anzeigen, Prepared Statements
 	02.11.2011  6. Parameter fuer function eigentuemer()
+	16.11.2011  neuer Style class='dbg'
 
 	ToDo:
@@ -74,5 +75,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Grundbuchdaten.</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 if ($row = pg_fetch_array($res)) {
@@ -188,5 +189,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Buchung.</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 $i=0;
@@ -230,5 +231,5 @@
 		if (!$resan) {
 			echo "<p class='err'>Fehler bei 'andere Buchungsstelle'.</p>\n";
-			if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+			if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 		}
 		$a=0; // count: andere BS
@@ -254,5 +255,5 @@
 			if (!$fbres) {
 				echo "<p class='err'>Fehler bei fiktivem Blatt.</p>\n";
-				if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}			
+				if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}			
 			}
 			$b=0;
@@ -402,5 +403,5 @@
 	if (!$resb) {
 		echo "<p class='err'>Fehler bei 'andere Berechtigte Bl&auml;tter:'<br>".$sql."</p>\n";
-		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 	}
 	$b=0; // count: Blaetter
Index: trunk/var/www/info/alkis/alkisgebaeudenw.php
===================================================================
--- trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 123)
+++ trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 128)
@@ -123,4 +123,6 @@
 echo "\n\n<h3><img src='ico/Haus.ico' width='16' height='16' alt=''> Geb&auml;ude</h3>";
 echo "\n<p>.. auf oder an dem Flurst&uuml;ck. Ermittelt durch Verschneidung der Geometrie.</p>";
+
+// +++ Zustand 3000 = geplantes GebÃ€ude
 
 // G e b a e u d e
Index: trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisfsnw.php	(revision 123)
+++ trunk/var/www/info/alkis/alkisfsnw.php	(revision 128)
@@ -10,4 +10,5 @@
 	26.07.2011  debug, SQL nur im Test-Modus anzeigen.
 	02.11.2011  6.+7. Parameter fuer function eigentuemer()
+	16.11.2011  Neuer Style class='dbg', Link Historie
 	
 	ToDo:
@@ -61,5 +62,5 @@
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
-if ($debug > 1) {echo "<p class='err'>DB=".$dbname.", user=".$dbuser."</p>";}
+if ($debug > 1) {echo "<p class='dbg'>DB=".$dbname.", user=".$dbuser."</p>";}
 
 // F L U R S T U E C K
@@ -75,5 +76,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Flurstuecksdaten</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 if ($row = pg_fetch_array($res)) {
@@ -92,5 +93,5 @@
 } else {
 	echo "<p class='err'>Fehler! Kein Treffer fuer gml_id=".$gmlid."</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 // Balken
@@ -144,5 +145,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Gemeinde</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $row = pg_fetch_array($res);
@@ -152,5 +153,17 @@
 	echo "<span class='key'>(".$gemeinde.")</span> ";
 }
-echo $gnam."</td><td>&nbsp;</td></tr>";
+echo $gnam."</td><td>";
+
+	// Link zur FlurstÃŒcks-Historie (passt nicht ganz in die Zeile "Gemeinde", aber gut unter "weitere Auskunft")
+	echo "\n<p class='nwlink noprint'>";
+		echo "\n\t<a href='alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
+				if ($idanzeige) {echo "&amp;id=j";}
+				if ($showkey)   {echo "&amp;showkey=j";}
+			echo "' title='Vorg&auml;nger-Flurst&uuml;cke'>Historie ";
+			echo "<img src='ico/Flurstueck_Historisch.ico' width='16' height='16' alt=''>";
+		echo "</a>";
+	echo "\n</p>";
+
+echo "</td></tr>";
 
 // K r e i s
@@ -162,5 +175,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Kreis</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $row = pg_fetch_array($res);
@@ -179,5 +192,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Regierungsbezirk</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $row = pg_fetch_array($res);
@@ -215,5 +228,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Lagebezeichnung mit Hausnummer</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $j=0;
@@ -262,5 +275,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $j=0;
@@ -323,5 +336,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Suche tats. Nutzung</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 $j=0;
@@ -484,5 +497,5 @@
 if (!$ress) {
 	echo "\n<p class='err'>Keine Buchungsstelle.</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 $bs=0; // Z.Buchungsstelle
@@ -506,5 +519,5 @@
 	if (!$resg) {
 		echo "\n<p class='err'>Kein Buchungsblatt.</p>\n";
-		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
 	}
 	$bl=0; // Z.Blatt
@@ -628,5 +641,5 @@
 	if (!$resan) {
 		echo "\n<p class='err'>Keine weiteren Buchungsstellen.</p>\n";
-		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
 	}
 	$an=0; // Stelle an Stelle
Index: trunk/var/www/info/alkis/alkisauszug.css
===================================================================
--- trunk/var/www/info/alkis/alkisauszug.css	(revision 123)
+++ trunk/var/www/info/alkis/alkisauszug.css	(revision 128)
@@ -8,5 +8,5 @@
 	04.01.2011  Spalte td.fla im fsnw
 	26.01.2011  einheitlich td padding-top 6px
-	03.11.2011  FS-Historie
+	16.11.2011  FS-Historie
 */
 body	{background-color: #FDFFFD;}
@@ -33,5 +33,6 @@
 p.gadr	{color: maroon; margin-top: 1pt;}	/* GB-Nachw. Eigentuemer Adresse */
 p.nwlink, td.nwlink {font-size: 7pt; text-align: right; margin-top: 0pt;}	/* Link zum Nachweis GB, FS, ..*/
-p.err		{color: red;}								/* Fehler-Meldungen */
+p.err		{font-size: 11px; color: red;}		/* Fehler -> Anwender */
+p.dbg		{font-size: 10px; color: gray;}		/* Debug -> Entwickler */
 p.warn	{color: gray; font-style: italic;}	/* Warnung, Hinweis */
 p.ph		{color: gray;}								/* Platzhalter */
Index: trunk/var/www/info/alkis/alkisrelationen.php
===================================================================
--- trunk/var/www/info/alkis/alkisrelationen.php	(revision 123)
+++ trunk/var/www/info/alkis/alkisrelationen.php	(revision 128)
@@ -13,4 +13,5 @@
 	11.07.2011  Ersetzen $self durch $_SERVER['PHP_SELF']."?"
 	02.11.2011  h3
+	10.11.2011  Relationen-ZÃ€hler ausgeben, ab 5 Zeilen nicht mehr 'auf einen Blick' erkennbar.
 */
 ini_set('error_reporting', 'E_ALL');
@@ -67,4 +68,6 @@
 		if ($i == 0) {
 			echo "<tr><td colspan=3>.. keine</td></tr>";
+		} elseif ($i > 4) {
+			echo "\n<tr>\n\t<td colspan=3>".$i." Relationen</td>\n</tr>";
 		}
 	}
@@ -89,4 +92,6 @@
 		if ($i == 0) {
 			echo "\n<tr>\n\t<td colspan=3>.. keine</td>\n</tr>";
+		} elseif ($i > 4) {
+			echo "\n<tr>\n\t<td colspan=3>".$i." Relationen</td>\n</tr>";
 		}
 	}
Index: trunk/var/www/info/alkis/alkisfshist.php
===================================================================
--- trunk/var/www/info/alkis/alkisfshist.php	(revision 123)
+++ trunk/var/www/info/alkis/alkisfshist.php	(revision 128)
@@ -6,5 +6,6 @@
 
 	Version:
-	03.11.2011  Entwurf Prototyp
+	2011-11-03  Entwurf Prototyp
+	2011-11-16  Zum aktuellen FS die VorgÃ€nger suchen
 
 	Sinnvoller Einstieg als Erweiterung der Navigation (Suche in Flur, (auch) nach Hist-FS).
@@ -20,5 +21,5 @@
 	+++ Eine Geometrische VorgÃ€nger-Suche dazu realisieren? Oder besser Hist-Layer in Mapfile als Einstieg.
 	
-	+++ ZusÃ€tzlicher Parameter x/y (aus WMS-Feature-Info) als Geometriescher Einstieg fÃŒr historische FS MIT Raumbezug
+	+++ ZusÃ€tzlicher Parameter x/y (aus WMS-Feature-Info) als Geometrischer Einstieg fÃŒr historische FS MIT Raumbezug
 */
 
@@ -31,19 +32,21 @@
 */
 	$fst=rtrim($fs,"_");	
-	$zer=substr ($fst, 2, 4)."-".ltrim(substr($fst, 6, 3), "0")."-".ltrim(substr($fst, 9, 5),"0");
+	$zer=substr ($fst, 2, 4)."-".ltrim(substr($fst, 6, 3), "0")."-<b>".ltrim(substr($fst, 9, 5),"0");
 	$nenn=ltrim(substr($fst, 14), "0");
 	if ($nenn != "") {$zer.="/".$nenn;}
+	$zer.="</b>";
 	return $zer; 
 }
 
-function vornach($dbarr, $gkz, $idanzeige, $showkey) {
+function vornach($dbarr) {
 // Datenbank-Array-Feld zeilenweise ausgeben als Selbst-Link
+	global $gkz, $idanzeige, $showkey;
 	if ($dbarr == "") {
-		echo "&nbsp;";
+		echo "(keine)";
 	} else {
 		$stri=trim($dbarr, "{}");
 		$arr = split(",",$stri);
 		foreach($arr AS $val){
-		   echo "<a title=' zur Flurst&uuml;ck Historie' href='".$_SERVER['PHP_SELF']."?gkz=".$gkz."&amp;fskennz=".$val;
+		   echo "Flurst&uuml;ck <a title=' zur Flurst&uuml;ck Historie' href='".$_SERVER['PHP_SELF']."?gkz=".$gkz."&amp;fskennz=".$val;
 		   	if ($idanzeige) {echo "&amp;id=j";}
 				if ($showkey)   {echo "&amp;showkey=j";}
@@ -52,4 +55,66 @@
 	}
 	return 0;
+}
+
+function gemkg_name($gkey) {
+// SchlÃŒssel wird ÃŒbergeben, Name in DB nachschlagen
+	global $con;
+	$sql ="SELECT bezeichnung FROM ax_gemarkung g WHERE g.gemarkungsnummer= $1 ;";
+	$v=array($gkey);
+	$res=pg_prepare("", $sql);
+	$res=pg_execute("", $v);
+	if (!$res) {echo "\n<p class='err'>Fehler bei Gemarkung.</p>";}
+	$zgmk=0;
+	while($row = pg_fetch_array($res)) { // eigentlich nur EINE
+		$gmkg=$row["bezeichnung"];
+		$zgmk++;
+	}
+	if ($zgmk == 0) {
+		echo "\n<p class='err'>Gemarkung ".$gkey." ist unbekannt.</p>";
+		return;
+	}
+	return $gmkg;
+}
+
+function such_vor_arr($fsk) {
+// Suchen der VorgÃ€nger zum aktuellen Flurst. Ausgabe von Selbst-Links Zeilenweise in <td>.
+// Akt. FS hat keine Verweise auf VorgÃ€nger. Darum in den Nachfolger-Verweisen von Hist.-FS suchen.
+// Problem: Dies sind Arrays, die nicht performant durchsucht werden kÃ¶nnen.
+	global $gkz, $con, $debug;
+
+	$wherecl="WHERE $1 = ANY (nachfolgerflurstueckskennzeichen) ";
+
+	// Bei kleinere Datenbanken keine spÃŒrbare VerzÃ¶gerung bei Suche mit " = ANY(Array)"
+	// FÃŒr grosse BestÃ€nde zusÃ€tzlich filtern ÃŒber indizierte Felder Gemarkung + Flur?
+	// Dazu die nÃ€chsten 2 Zeilen aktivieren.	
+//	$wherecl.="AND gemarkungsnummer=".substr($fsk, 2, 4)." ";
+//	$wherecl.="AND flurnummer=".ltrim(substr($fsk, 6, 3), "0")." ";
+	// Frage: kann das bei Historisierung wechseln? (Umflurung, Umgemarkung). Dann ggf. Fehler (nicht gefunden)
+
+	$sqlv.="SELECT 'h' AS ftyp, gml_id, flurstueckskennzeichen FROM ax_historischesflurstueck h ".$wherecl;
+	$sqlv.="UNION ";
+	$sqlv.="SELECT 'o' AS ftyp, gml_id, flurstueckskennzeichen FROM ax_historischesflurstueckohneraumbezug o ".$wherecl;
+	$sqlv.="ORDER BY flurstueckskennzeichen";
+
+	$v=array($fsk);
+	$resv = pg_prepare("", $sqlv);
+	$resv = pg_execute("", $v);
+	if (!$resv) {
+		echo "\n<p class='err'>Fehler bei Vorg&auml;nger-FS.</p>";
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sqlv."<br>$1='".$fsk."'</p>";}
+	}
+	$zv=0;
+	while($rowv = pg_fetch_array($resv)) {
+		$ftyp=$rowv["ftyp"];
+		$gmlv=$rowv["gml_id"];
+		$vfsk=$rowv["flurstueckskennzeichen"];
+		echo "Flurst&uuml;ck <a title='Historie des Vorg&auml;ngerflurst&uuml;cks' href='".$_SERVER['PHP_SELF']."?gkz=".$gkz."&amp;fskennz=".$vfsk."&amp;gmlid=".$gmlv;
+	   	if ($idanzeige) {echo "&amp;id=j";}
+			if ($showkey)   {echo "&amp;showkey=j";}
+		echo "'>".fzerleg($vfsk)."</a><br>";
+		$zv++;
+	}
+	if ($zv == 0) {echo "(keine)";}
+	return;
 }
 
@@ -102,17 +167,19 @@
 		$parmtyp="";
 		echo "<p class='err'>Parameter 'gmlid' oder 'fskennz' fehlt.</p>";
-		// ++ Formular ausgeben um das FlurstÃŒckskennzeichen einzugeben? 
 	}
 }
 
 if ($parmtyp != "") { // einer der beiden erlaubten FÃ€lle
-	// UNION-Abfrage auf 3 Ã€hnliche Tabellen, darin aber immr nur 1 Treffer.
-	$sqlu ="SELECT 'a' AS ftyp, gml_id, flurnummer, zaehler, nenner, amtlicheflaeche, zeitpunktderentstehung, gemarkungsnummer, null AS nach, null AS vor ";
+	// UNION-Abfrage auf 3 Ã€hnliche Tabellen, darin aber immer nur 1 Treffer.
+
+	$felder="gml_id, flurnummer, zaehler, nenner, flurstueckskennzeichen, amtlicheflaeche, zeitpunktderentstehung, gemarkungsnummer, ";
+
+	$sqlu ="SELECT 'a' AS ftyp, ".$felder."null AS nach, null AS vor, null AS \"name\" ";
 	$sqlu.="FROM ax_flurstueck f ".$whereclause;
 	$sqlu.="UNION ";
-	$sqlu.="SELECT 'h' AS ftyp, gml_id, flurnummer, zaehler, nenner, amtlicheflaeche, zeitpunktderentstehung, gemarkungsnummer, nachfolgerflurstueckskennzeichen AS nach, vorgaengerflurstueckskennzeichen AS vor ";
+	$sqlu.="SELECT 'h' AS ftyp, ".$felder."nachfolgerflurstueckskennzeichen AS nach, vorgaengerflurstueckskennzeichen AS vor, name ";
 	$sqlu.="FROM ax_historischesflurstueck h ".$whereclause;
 	$sqlu.="UNION ";
-	$sqlu.="SELECT 'o' AS ftyp, gml_id, flurnummer, zaehler, nenner, amtlicheflaeche, zeitpunktderentstehung, gemarkungsnummer, nachfolgerflurstueckskennzeichen AS nach, vorgaengerflurstueckskennzeichen AS vor ";
+	$sqlu.="SELECT 'o' AS ftyp, ".$felder."nachfolgerflurstueckskennzeichen AS nach, vorgaengerflurstueckskennzeichen AS vor, name ";
 	$sqlu.="FROM ax_historischesflurstueckohneraumbezug o ".$whereclause;
 	
@@ -127,10 +194,13 @@
 		$gmkgnr=$rowu["gemarkungsnummer"];
 		$flurnummer=$rowu["flurnummer"];
-		$flstnummer=$rowu["zaehler"];
+		$zaehler=$rowu["zaehler"];
 		$nenner=$rowu["nenner"];
+		$flstnummer=$zaehler;
 		if ($nenner > 0) {$flstnummer.="/".$nenner;} // BruchNr
+		$fskenn=$rowu["flurstueckskennzeichen"];
 		$flae=number_format($rowu["amtlicheflaeche"],0,",",".") . " m&#178;";
-	//	$name=$rowu["name"];
-		$gemkname=$gmkgnr; // +++ JOIN auf Schluesseltabelle fehlt noch
+		$name=$rowu["name"]; // in DB ein Array
+		$arrn = split(",", trim($name, "{}") ); // PHP-Array
+		$gemkname= gemkg_name($gmkgnr);
 		$entsteh=$rowu["zeitpunktderentstehung"];
 		$vor=$rowu["vor"];
@@ -139,5 +209,5 @@
 	} else {
 		if ($debug > 1) {echo "<br><p class='err'>Fehler! Kein Treffer f&uuml;r ".$parmtyp." = '".$parmval."'</p><br>";}
-		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sqlu."<br>$1=".$parmtyp." = '".$parmval."'</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sqlu."<br>$1=".$parmtyp." = '".$parmval."'</p>";}
 	}
 }
@@ -151,10 +221,10 @@
 	case 'h': 
 		$wert = "historisch<br>(mit Raumbezug)";
-		$ico= "Flurstueck_Historisch.ico"; // ++ anderes Icon, wenn Geomtrie vorhanden?
+		$ico= "Flurstueck_Historisch.ico"; //
 		$cls= "kennzfsh";
 	break;
 	case 'o': 
 		$wert = "historisch<br>ohne Raumbezug";
-		$ico= "Flurstueck_Historisch.ico";
+		$ico= "Flurstueck_Historisch_oR.ico";
 		$cls= "kennzfsh";
 	break;
@@ -184,16 +254,30 @@
 	echo "\n\t<table class='fsd'>";
 		echo "\n\t<tr>\n\t\t<td>Entstehung</td>";
-		echo "\n\t\t<td>".$entsteh."</td>\n\t</tr>";
-	//	echo "\n\t<tr>\n\t\t<td>letz. Fortf</td>";
-	//	echo "\n\t\t<td title='Jahrgang / Fortf&uuml;hrungsnummer - Fortf&uuml;hrungsart'>".$name."</td>";
-		echo "\n\t\t<td>&nbsp;</td><td>&nbsp;</td>"; // Leer-Zeile statt FF-Nr
+			echo "\n\t\t<td>".$entsteh."</td>";
+		echo "\n\t</tr>";
+		echo "\n\t<tr>";
+			echo "\n\t\t<td>letz. Fortf</td>";
+			echo "\n\t\t<td title='Jahrgang / Fortf&uuml;hrungsnummer - Fortf&uuml;hrungsart'>";
+				foreach($arrn AS $val) { // Zeile f. jedes Element
+					echo trim($val, '"')."<br>";
+				}
+			echo "</td>";
 		echo "\n\t</tr>";
 	echo "\n\t</table>";
 	if ($idanzeige) {linkgml($gkz, $gmlid, "Flurst&uuml;ck"); }
 echo "\n\t</td>\n</tr>\n</table>";
+
+if ($debug > 2) {echo "<p class='dbg'>FF= ".$name."</p>";}
+
+if ($ftyp == "a") { // Aktuell -> Historie
+	echo "\n<p class='nwlink noprint'>weitere Auskunft: ";
+		echo "<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=n";
+			if ($idanzeige) {echo "&amp;id=j";}
+			if ($showkey)   {echo "&amp;showkey=j";}
+			echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck ";
+			echo "<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+		echo "</a>";
+}
 echo "\n<hr>";
-//echo "\n<p class='nwlink noprint'>weitere Auskunft:</p>"; // oben rechts von der Tabelle
-
-// if ($debug > 1) {echo "<p class='err'>VOR ".$vor." NACH ".$nach."</p>";}
 
 echo "<table class='outer'>";
@@ -203,36 +287,41 @@
 		<td class='head'>Nachfolger</td>
 	</tr>"; // Head
+	
+	// Spalte 1: F l u r s t ÃŒ c k
 	echo "\n<tr>\n\t<td>";
-	echo "<img src='ico/".$ico."' width='16' height='16' alt=''> ".$wert;
-	echo "<br>Fl&auml;che <span class='flae'>".$flae."</span>";
-	if ($ftyp == "a") { //Aktuell
-		echo "\n<p class='nwlink noprint'>weitere Auskunft: ";
-			echo "<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=n";
-				if ($idanzeige) {echo "&amp;id=j";}
-				if ($showkey)   {echo "&amp;showkey=j";}
-				echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck ";
-				echo "<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
-			echo "</a>";
-	}
+		echo "<img src='ico/".$ico."' width='16' height='16' alt=''> ".$wert;
+		echo "<br>Fl&auml;che <span class='flae'>".$flae."</span>";
 	echo "</td>";
+
+	// Spalte 2: V o r g Ã€ n g e r
 	echo "\n\t<td>";
-	// In ax_historischesflurstueck ist vorgaenger immer leer!
-	// Man muss wohl geometrisch suchen !?
-	if ($ftyp == "h" and $vor == "") {
-		echo "Geometrische Suche<br>(noch nicht m&ouml;glich)";
-	} else {
-		vornach($vor, $gkz, $idanzeige, $showkey);
-	}
-	echo"</td>\n\t<td>";
-	vornach($nach, $gkz, $idanzeige, $showkey);
+	switch ($ftyp) { // Unterschiede Historisch/Aktuell
+		case 'a':
+			such_vor_arr($fskenn);
+		break;
+		case 'h':
+			if ($vor == "") {
+				echo "Geometrische Suche<br>(noch nicht m&ouml;glich)";
+			} else {
+				vornach($vor);
+			}
+		break;
+		case 'o':
+			vornach($vor);
+		break;
+	}
+	echo"</td>";
+
+	// Spalte 3: N a c h f o l g e r
+	echo "\n\t<td>";
+		vornach($nach);
 	echo "</td>\n</tr>";
 echo "\n</table>";
 
-// TEST
 if ($debug > 1) {
 	$z=1;
 	while($rowu = pg_fetch_array($resu)) {
 		$ftyp=$rowu["ftyp"];
-		echo "<p class='err'>Mehr als EIN Eintrag gefunden: '".$ftyp."' (".$z.")</p>";
+		echo "<p class='dbg'>Mehr als EIN Eintrag gefunden: '".$ftyp."' (".$z.")</p>";
 		$z++;
 	}