Index: trunk/var/www/info/alkis/alkisfshist.php
===================================================================
--- trunk/var/www/info/alkis/alkisfshist.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisfshist.php	(revision 129)
@@ -6,20 +6,7 @@
 
 	Version:
-	2011-11-03  Entwurf Prototyp
-	2011-11-16  Zum aktuellen FS die VorgÃ€nger suchen
-
-	Sinnvoller Einstieg als Erweiterung der Navigation (Suche in Flur, (auch) nach Hist-FS).
-	VerknÃŒpfung aus aktuellem FS zur Zeit mangels Verweis nicht mÃ¶glich.
-	Oder kann man Sinvoll in einem Array-Feld suchen?
-
-	Um auch VorgÃ€nger eines aktuellen FlurstÃŒcks zu finden, mÃŒssten die Array-Felder mit den Verweisen
-	als echte Verbindungstabellen aufgelÃ¶st werden (als Nachprozessierung zur Konvertierung in der DB).
-
-	Ein aktuelles FS hat keine Verweise auf VorgÃ€nger.
-	Ein historischs FS (also MIT Raumbezug) hat keine Verweise auf VorgÃ€nger.
-
-	+++ Eine Geometrische VorgÃ€nger-Suche dazu realisieren? Oder besser Hist-Layer in Mapfile als Einstieg.
-	
-	+++ ZusÃ€tzlicher Parameter x/y (aus WMS-Feature-Info) als Geometrischer Einstieg fÃŒr historische FS MIT Raumbezug
+	2011-11-03 Prototyp
+	2011-11-16 Zum aktuellen FS die VorgÃ€nger suchen
+	2011-11-17 Parameter der Functions geÃ€ndert
 */
 
@@ -184,8 +171,4 @@
 	$sqlu.="FROM ax_historischesflurstueckohneraumbezug o ".$whereclause;
 	
-	// "name" (FF-Nummer) ist uneinheitlich nach derzeitigem Schema.
-	// Hier spÃ€ter herein nehmen, wenn einheitlich als array in allen DBs und Tabellen definiert:
-	//   f.name character varying,   o.name character varying[]
-	
 	$resu = pg_prepare("", $sqlu);
 	$resu = pg_execute("", $v);
@@ -268,6 +251,4 @@
 echo "\n\t</td>\n</tr>\n</table>";
 
-if ($debug > 2) {echo "<p class='dbg'>FF= ".$name."</p>";}
-
 if ($ftyp == "a") { // Aktuell -> Historie
 	echo "\n<p class='nwlink noprint'>weitere Auskunft: ";
@@ -338,5 +319,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "&amp;eig=".$eig, $showkey); ?>
+<?php footer($gmlid, $_SERVER['PHP_SELF']."?", "&amp;eig=".$eig); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisinlayausk.php
===================================================================
--- trunk/var/www/info/alkis/alkisinlayausk.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisinlayausk.php	(revision 129)
@@ -16,4 +16,5 @@
 	26.07.2011  debug, SQL nur im Testmodus ausgeben
 	02.11.2011  6.+7. Parameter fuer function eigentuemer()
+	17.11.2011  Link FS-Historie, Parameter der Functions geÃ€ndert
 
 	ToDo:  Link im neuen Fenster erzwingen (Javascript?), statt _blank = tab
@@ -40,5 +41,10 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Flurstueck.ico">
 	<title>ALKIS-Auskunft</title>
-	<base target="_blank">
+	<script type="text/javascript">
+	function imFenster(dieURL) {
+		var link = encodeURI(dieURL);
+		window.open(link,'','left=10,top=10,width=620,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
+	}
+	</script>
 </head>
 <body>
@@ -89,18 +95,22 @@
 echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
 
-// Flurstuecksnachweis (o. Eigent.)
-echo "\n\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=n";
-echo "' title='Flurst&uuml;cksnachweis, alle Flurst&uuml;cksdaten'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''></a><br>";
-
-// FS- u. Eigent.-NW
-echo "\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j";
-echo "' title='Flurst&uuml;ck mit Eigent&uuml;mer'>Flurst&uuml;ck mit Eigent&uuml;mer</a> <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''><br>";
-
-// Gebaeude-NW
-echo "\n\t\t<a href='alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
-echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.ico' width='16' height='16' alt=''></a>";
-
-// FS-Historie (noch nicht in DB)
-//echo "&nbsp;|&nbsp;<a href='alkisfshist.php?gkz=".$gkz."&amp;flurstkennz=".$gmlid."' title='Vorg&auml;nger- und Nachfolger-Flurst&uuml;cke'>Historie</a>\n";
+// Flurstuecksnachweis (mit EigentÃŒmer)
+echo "\n\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j\")' ";
+	echo "title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck&nbsp;";
+	echo "<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+echo "</a><br>";
+
+// FS-Historie
+echo "\n\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' ";
+	echo "title='Vorg&auml;nger des Flurst&uuml;cks'>Historie&nbsp;";
+	echo "<img src='ico/Flurstueck_Historisch.ico' width='16' height='16' alt=''>";
+echo "</a><br>";
+
+// Gebaeude-NW zum FS
+echo "\n\t\t<a href='javascript:imFenster(\"alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' ";
+	echo "title='Geb&auml;udenachweis'>Geb&auml;ude&nbsp;";
+	echo "<img src='ico/Haus.ico' width='16' height='16' alt=''>";
+echo "</a>";
+
 echo "\n\t</p>\n</td>";
 
@@ -132,5 +142,6 @@
 		echo "\n\t<td class='lr'>".$sname."&nbsp;".$row["hausnummer"]."</td>";
 		echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
-			echo "\n\t\t\t<a title='Lagebezeichnung mit Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."'>Lage ";
+			echo "\n\t\t\t<a title='Lagebezeichnung mit Hausnummer' ";
+			echo "href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."\")'>Lage ";
 			echo "<img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''></a>";
 		echo "\n\t\t</p>\n\t</td>";
@@ -138,5 +149,5 @@
 	$j++;
 }
-echo "\n</tr>\n</table>\n";
+echo "\n</table>\n";
 
 // Flurstuecksflaeche
@@ -200,6 +211,6 @@
 		echo "\n</td>\n<td>";
 		echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
-			echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0];
-				echo "' title='Grundbuchnachweis'>";
+			echo "\n\t\t<a href='javascript:imFenster(\"alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0]."\")'";
+				echo "title='Grundbuchnachweis'>";
 				echo $blattart;
 				echo " <img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''>";
@@ -218,5 +229,7 @@
 
 		// Ausgabe Name in Function
-		$n = eigentuemer($con, $gkz, false, $rowg["gml_id"], false, $showkey, $debug); // hier ohne Adressen
+		// ToDo: Link in Function auch umstellen auf (optional) "javascript:imFenster"
+		//       oder base_ / target="_blank"
+		$n = eigentuemer($con, $rowg["gml_id"], false, "imFenster"); // ohne Adressen
 
 		if ($n == 0) { // keine Namensnummer, kein Eigentuemer
Index: trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisbestnw.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisbestnw.php	(revision 129)
@@ -10,4 +10,5 @@
 	02.11.2011  6. Parameter fuer function eigentuemer()
 	16.11.2011  neuer Style class='dbg'
+	17.11.2011  Parameter der Functions geÃ€ndert
 
 	ToDo:
@@ -116,7 +117,5 @@
 } else { // E I G E N T U E M E R
 	echo "\n<h3><img src='ico/Eigentuemer_2.ico' width='16' height='16' alt=''> Angaben zum Eigentum</h3>\n";
-	// MIT Adressen. Im offiziellen ALKIS-Buchnachweis hier ohne Adressen.
-	$n = eigentuemer($con, $gkz, $idanzeige, $gmlid, true, $showkey, $debug);
-
+	$n = eigentuemer($con, $gmlid, true, ""); // MIT Adressen.
 	if ($n == 0) { // keine Namensnummer, kein Eigentuemer
 		echo "\n<p class='err'>Keine Namensnummer gefunden.</p>";
@@ -204,5 +203,5 @@
 	}
 	// F l u r s t u e c k s d a t e n  zur direkten Buchungsstelle
-   $j = bnw_fsdaten($con, $gkz, $idanzeige, $lfdnr, $gml_bs, $ba, $anteil, true, $showkey); // return = Anzahl der FS
+   $j = bnw_fsdaten($con, $lfdnr, $gml_bs, $ba, $anteil, true); // return = Anzahl der FS
 
 	if ($j == 0) { //  k e i n e  Flurstuecke gefunden (Miteigentumsnteil usw.)
@@ -328,5 +327,6 @@
 			// F l u r s t u e c k s d a t e n  zur  a n d e r e n  Buchungsstelle
 			// Buchungsart wird nur in erster Zeile ausgegeben, hier leer
-		   $aj = bnw_fsdaten($con, $gkz, $idanzeige, $lfdnran, $gml_bsan, "", $anteil, false); // return = Anzahl der FS
+		   $aj = bnw_fsdaten($con, $lfdnran, $gml_bsan, "", $anteil, false); // return = Anzahl der FS
+		   		   
 			// +++ Gibt es ueberhaupt Sondereigentum beim fiktiven Blatt??
 			if ($rowan["nrap"] != "") {
@@ -488,5 +488,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey); ?>
+<?php footer($gmlid, $_SERVER['PHP_SELF']."?", ""); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisausk.php
===================================================================
--- trunk/var/www/info/alkis/alkisausk.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisausk.php	(revision 129)
@@ -14,4 +14,5 @@
 	26.07.2011  debug, SQL nur im Testmodus ausgeben
 	02.11.2011  6.+7. Parameter fuer function eigentuemer()
+	17.11.2011  Link FS-Historie, Parameter der Functions geändert
 */
 ini_set('error_reporting', 'E_ALL');
@@ -114,22 +115,34 @@
 // Flurstuecksnachweis (o. Eigent.)
 echo "\n\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=n";
-if ($idanzeige) { echo "&amp;id=j";}
-if ($showkey)   {echo "&amp;showkey=j";}
-echo "' title='Flurst&uuml;cksnachweis, alle Flurst&uuml;cksdaten'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''></a><br>";
+	if ($idanzeige) {echo "&amp;id=j";}
+	if ($showkey)   {echo "&amp;showkey=j";}
+	echo "' title='Flurst&uuml;cksnachweis, alle Flurst&uuml;cksdaten'>Flurst&uuml;ck ";
+	echo "<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+echo "</a><br>";
 
 // FS- u. Eigent.-NW
 echo "\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j";
-if ($idanzeige) echo "&amp;id=j";
-if ($showkey)   {echo "&amp;showkey=j";}
-echo "' title='Flurst&uuml;ck mit Eigent&uuml;mer'>Flurst&uuml;ck mit Eigent&uuml;mer</a> <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''><br>";
+	if ($idanzeige) {echo "&amp;id=j";}
+	if ($showkey)   {echo "&amp;showkey=j";}
+	echo "' title='Flurst&uuml;ck mit Eigent&uuml;mer'>Flurst&uuml;ck mit Eigent&uuml;mer ";
+	echo "<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+echo "</a><br>";
+
+// FS-Historie
+echo "\n\t\t<a href='alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
+	if ($idanzeige) {echo "&amp;id=j";}
+	if ($showkey)   {echo "&amp;showkey=j";}
+	echo "' title='Vorg&auml;nger des Flurst&uuml;cks'>Historie ";
+	echo "<img src='ico/Flurstueck_Historisch.ico' width='16' height='16' alt=''>";
+echo "</a><br>";
 
 // Gebaeude-NW
 echo "\n\t\t<a href='alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
-if ($idanzeige) {echo "&amp;id=j";}
-if ($showkey)   {echo "&amp;showkey=j";}
-echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.ico' width='16' height='16' alt=''></a>";
-
-// FS-Historie (noch nicht in DB)
-//echo "&nbsp;|&nbsp;<a href='alkisfshist.php?gkz=".$gkz."&amp;flurstkennz=".$gmlid."' title='Vorg&auml;nger- und Nachfolger-Flurst&uuml;cke'>Historie</a>\n";
+	if ($idanzeige) {echo "&amp;id=j";}
+	if ($showkey)   {echo "&amp;showkey=j";}
+	echo "' title='Geb&auml;udenachweis'>Geb&auml;ude ";
+	echo "<img src='ico/Haus.ico' width='16' height='16' alt=''>";
+echo "</a>";
+
 echo "\n\t</p>\n</td>";
 
@@ -260,5 +273,5 @@
 
 		// Ausgabe Name in Function
-		$n = eigentuemer($con, $gkz, $idanzeige, $rowg["gml_id"], false, $showkey, $debug); // hier ohne Adressen
+		$n = eigentuemer($con, $rowg["gml_id"], false); // ohne Adressen
 
 		if ($n == 0) { // keine Namensnummer, kein Eigentuemer
@@ -277,5 +290,5 @@
 echo "\n<hr>";
 
-footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey);
+footer($gmlid, $_SERVER['PHP_SELF']."?", "");
 
 ?>
Index: trunk/var/www/info/alkis/alkisnamstruk.php
===================================================================
--- trunk/var/www/info/alkis/alkisnamstruk.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisnamstruk.php	(revision 129)
@@ -12,5 +12,6 @@
 	26.01.2011  Space in leere td
 	01.02.2011  *Left* Join - Fehlertoleranz bei unvollstaendigen Schluesseltabellen
-	02.11.2011  $sqla, $sqlg, Meldungen mit $debug steuern 
+	02.11.2011  $sqla, $sqlg, Meldungen mit $debug steuern
+	17.11.2011  Parameter der Functions geÃ€ndert
 
 	ToDo: 
@@ -255,5 +256,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey); ?>
+<?php footer($gmlid, $_SERVER['PHP_SELF']."?", ""); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisgebaeudenw.php
===================================================================
--- trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 129)
@@ -298,5 +298,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey); ?>
+<?php footer($gmlid, $_SERVER['PHP_SELF']."?", ""); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkislage.php
===================================================================
--- trunk/var/www/info/alkis/alkislage.php	(revision 128)
+++ trunk/var/www/info/alkis/alkislage.php	(revision 129)
@@ -464,5 +464,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "&amp;ltyp=".$ltyp , $showkey); ?>
+<?php footer($gmlid, $_SERVER['PHP_SELF']."?", "&amp;ltyp=".$ltyp); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisfsnw.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisfsnw.php	(revision 129)
@@ -11,4 +11,5 @@
 	02.11.2011  6.+7. Parameter fuer function eigentuemer()
 	16.11.2011  Neuer Style class='dbg', Link Historie
+	17.11.2011  Parameter der Functions geÃ€ndert
 	
 	ToDo:
@@ -22,8 +23,5 @@
 $gkz=urldecode($_REQUEST["gkz"]);
 require_once("alkis_conf_location.php");
-if ($auth == "mapbender") {
-	// Bindung an Mapbender-Authentifizierung
-	require_once($mapbender);
-}
+if ($auth == "mapbender") {require_once($mapbender);}
 include("alkisfkt.php");
 ?>
@@ -62,5 +60,5 @@
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
-if ($debug > 1) {echo "<p class='dbg'>DB=".$dbname.", user=".$dbuser."</p>";}
+//if ($debug > 1) {echo "<p class='dbg'>DB=".$dbname.", user=".$dbuser."</p>";}
 
 // F L U R S T U E C K
@@ -90,5 +88,6 @@
 	$flae=number_format($row["amtlicheflaeche"],0,",",".") . " m&#178;";
 	$entsteh=$row["zeitpunktderentstehung"];
-	$name=$row["name"]; // Fortfuehrungsnummer
+	$name=$row["name"]; // Fortfuehrungsnummer(n)
+	$arrn = split(",", trim($name, "{}") ); // PHP-Array
 } else {
 	echo "<p class='err'>Fehler! Kein Treffer fuer gml_id=".$gmlid."</p>";
@@ -120,6 +119,13 @@
 		echo "\n\t<tr>\n\t\t<td>Entstehung</td>";
 		echo "\n\t\t<td>".$entsteh."</td>\n\t</tr>";
-		echo "\n\t<tr>\n\t\t<td>letz. Fortf</td>";
-		echo "\n\t\t<td title='Jahrgang / Fortf&uuml;hrungsnummer - Fortf&uuml;hrungsart'>".$name."</td>\n\t</tr>";
+		echo "\n\t<tr>";
+			echo "\n\t\t<td>letz. Fortf</td>";
+			echo "\n\t\t<td title='Jahrgang / Fortf&uuml;hrungsnummer - Fortf&uuml;hrungsart'>";
+				foreach($arrn AS $val) { // Zeile f. jedes Element des Array
+					echo trim($val, '"')."<br>";
+				}
+			echo "</td>";
+		echo "\n\t</tr>";
+
 	echo "\n\t</table>";
 	if ($idanzeige) {linkgml($gkz, $gmlid, "Flurst&uuml;ck"); }
@@ -154,5 +160,4 @@
 }
 echo $gnam."</td><td>";
-
 	// Link zur FlurstÃŒcks-Historie (passt nicht ganz in die Zeile "Gemeinde", aber gut unter "weitere Auskunft")
 	echo "\n<p class='nwlink noprint'>";
@@ -164,10 +169,8 @@
 		echo "</a>";
 	echo "\n</p>";
-
 echo "</td></tr>";
 
 // K r e i s
 $sql="SELECT bezeichnung FROM ax_kreisregion WHERE regierungsbezirk= $1 AND kreis= $2"; 
-
 $v = array($bezirk,$kreis);
 $res = pg_prepare("", $sql);
@@ -379,5 +382,5 @@
 			} else { // ausfuehrlichere Anzeige
 				echo $title; // NUA-Tabelle
-				If ($class != "") { // NUA-SchlÃŒssel
+				if ($class != "") { // NUA-SchlÃŒssel
 					echo ", ".$fldclass.": "; // Feldname
 					if ($showkey) {echo "<span class='key'>(".$class.")</span> ";}
@@ -602,5 +605,5 @@
 		// Person <-benennt< AX_Namensnummer  >istBestandteilVon-> AX_Buchungsblatt
 		if ($eig=="j") { // Wahlweise mit/ohne EigentÃŒmer
-			$n = eigentuemer($con, $gkz, $idanzeige, $gmlg, false, $showkey, $debug); // hier aber ohne Adresse
+			$n = eigentuemer($con, $gmlg, false, ""); // ohne Adresse
  			if ($n == 0) {
 				if ($blattkeyg == 1000) {
@@ -717,5 +720,5 @@
 		}
 		if ($eig == "j") {
-			$n = eigentuemer($con, $gkz, $idanzeige, $rowan["g_gml"], false, $showkey, $debug); // ohne Adresse
+			$n = eigentuemer($con, $rowan["g_gml"], false, ""); // ohne Adresse
 			// Anzahl $n kontrollieren? Warnen?
 		}
@@ -740,5 +743,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "&amp;eig=".$eig, $showkey); ?>
+<?php footer($gmlid, $_SERVER['PHP_SELF']."?", "&amp;eig=".$eig); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisfkt.php
===================================================================
--- trunk/var/www/info/alkis/alkisfkt.php	(revision 128)
+++ trunk/var/www/info/alkis/alkisfkt.php	(revision 129)
@@ -5,13 +5,11 @@
 
 	Version:
-	07.09.2010  Schluessel anschaltbar
-	15.09.2010  Function "buchungsart" durch JOIN ersetzt
-	09.11.2010  Functions, die nur einmal aufgerufen wurden, sequentiell in FS-Nachw. integriert
 	17.12.2010  Astrid Emde: Prepared Statements (pg_query -> pg_prepare + pg_execute)
 	01.02.2011  *Left* Join - Fehlertoleranz bei unvollstaendigen Schluesseltabellen
 	02.11.2011  Parameter debug in function eigentuemer
+	17.11.2011  Variable ($debug, $idanzeige, $showkey) von Parameter nach global. Die heiÃen in allen Programmteilen gleich.
 */
 
-function footer($gkz, $gmlid, $idumschalter, $idanzeige, $link, $hilfeurl, $append, $showkey) {
+function footer($gmlid, $link, $append) {
 	// Einen Seitenfuss ausgeben.
 	// Den URL-Parameter "&id=j/n" und "&showkey=j/n" in allen Kombinationen umschalten lassen.
@@ -20,4 +18,5 @@
 	// Der Parameter $append wird angehaengt wenn gefuellt
 	//  Anwendung: &eig=j bei FS-NW, &ltyp=m/p/o bei Lage
+	global $gkz, $idumschalter, $idanzeige, $showkey, $hilfeurl;
 
 	$customer=$_SESSION["mb_user_name"];
@@ -111,5 +110,5 @@
 }
 
-function bnw_fsdaten($con, $gkz, $idanzeige, $lfdnr, $gml_bs, $ba, $anteil, $bvnraus, $showkey) {
+function bnw_fsdaten($con, $lfdnr, $gml_bs, $ba, $anteil, $bvnraus) {
 /*	Bestandsnachweis - Flurstuecksdaten
 	Die Tabellenzeilen mit den Flurstuecksdaten zu einer Buchungsstelle im Bestandsnachweis ausgeben.
@@ -118,5 +117,5 @@
 	Table-Tag und Kopfzeile im aufrufenden Programm. 
 */
-
+	global $gkz, $idanzeige, $showkey;
 	// F L U R S T U E C K
 	$sql="SELECT g.gemarkungsnummer, g.bezeichnung, ";
@@ -133,5 +132,5 @@
 	$resf = pg_execute("", $v);
 
-	if (!$resf) {echo "<p class='err'>Fehler bei Flurst&uuml;ck<br><br>".$sql."</p>\n";}
+	if (!$resf) {echo "<p class='err'>Fehler bei Flurst&uuml;ck</p>\n";}
 
 	if($bvnraus) { // nur bei direkten Buchungen die lfdNr ausgeben
@@ -163,5 +162,4 @@
 				echo "\n\t<td>&nbsp;</td>";
 			} else {
-
 				echo "\n\t<td>";
 					echo "<a name='bvnr".$lfdnr."'></a>"; // Sprungmarke
@@ -204,5 +202,5 @@
 }
 
-function eigentuemer($con, $gkz, $idanzeige, $gmlid, $mitadresse, $showkey, $debug) {
+function eigentuemer($con, $gmlid, $mitadresse, $lnkclass) {
 	// Tabelle mit Eigentuemerdaten zu einem Grundbuchblatt ausgeben
 	// Sp.1 = Namennummer, Sp. 2 = Name / Adresse, Sp. 3 = Link
@@ -214,6 +212,14 @@
 	// Schleife 1: N a m e n s n u m m e r
 	// Beziehung: ax_namensnummer  >istBestandteilVon>  ax_buchungsblatt
-
-	if ($debug > 1) {echo "<p class='err'>function eigentuemer, gml(Blatt)=".$gmlid.", mit Adresse='".$mitadresse."'</p>";}
+	global $debug, $gkz, $idanzeige, $showkey;
+
+	// Link ÃŒber Java-Class? (Ja in alkisinlayausk.php, sonst normal)
+	if ($lnkclass == "") {
+		$lnkvor = "";
+		$lnknach = "";
+	} else {
+		$lnkvor  = "javascript:".$lnkclass."(\"";
+		$lnknach = "\")";
+	} // Beispiel-Link href='javascript:imFenster(\"alkislage.php?gkz= ... ."\")'>xxx ";
 
 	$sqln="SELECT n.gml_id, n.laufendenummernachdin1421 AS lfd, n.zaehler, n.nenner, ";
@@ -234,9 +240,7 @@
 	}
 
-	//echo "<p class='nwlink noprint'>weitere Auskunft:</p>"; // oben rechts von der Tabelle
 	echo "\n\n<table class='eig'>";
 	$n=0; // Z.NamNum.
 
-	//echo "\n\n<!-- vor Schleife 1 Namensnummer -->";
 	while($rown = pg_fetch_array($resn)) {
 		$gmlnn=$rown["gml_id"];
@@ -308,8 +312,8 @@
 			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
 				if ($idanzeige) {linkgml($gkz, $rowp["gml_id"], "Person"); echo "&nbsp";}
-				echo "\n\t\t<a href='alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowp[0];
+				echo "\n\t\t<a href='".$lnkvor."alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowp[0];
 				if ($idanzeige) {echo "&amp;id=j";}
 				if ($showkey)   {echo "&amp;showkey=j";}
-				echo "' title='vollst&auml;ndiger Name und Adresse eines Eigent&uuml;mers'>".$eiart;
+				echo $lnknach."' title='vollst&auml;ndiger Name und Adresse eines Eigent&uuml;mers'>".$eiart;
 				echo " <img src='ico/Eigentuemer.ico' width='16' height='16' alt=''></a>\n\t\t</p>";
 			echo "\n\t</td>\n</tr>";
@@ -380,19 +384,12 @@
 			}
 		} // End Loop Person
-		if ($i == 0) { // keine Pers zur NamNum
+		if ($i == 0) { // kommt vor hinter Zeile Erbengemeinschaft, dann kein Fehler
 			if ($debug > 0) {
-				echo "<p class='err'>Keine Person zur Namensnummer ".$namnum."</p>";
-			}			
-			if ($debug > 2) {
-				echo "<p class='err'>SQL=<br>".$sqlp."<br>$1=gml(NamNum)= '".$gmlnn."'</p>";
-			}
-		//	echo "\n<!-- Rechtsgemeinschaft='".$rechtsg."' -->";
-			// Wann warnen?
-		//	if ($rechtsg != 9999) {
-			// Art der Rechtsgemeinsachft, keine Eigent. ist Normal bei Sondereigentum
-			//echo "\n<tr>\n<td>";
-			//linkgml($gkz, $rown["gml_id"], "Namensnummer");
-			//echo "</td>\n<td>\n\t\t<p class='err'>Kein Eigent&uuml;mer gefunden. (Rechtsgemeinschaft=".$rechtsg.")</p>";
-		//	}
+				echo "\n<p class='dbg'>Rechtsgemeinschaft = '".$rechtsg."'</p>";
+				if ($rechtsg != 9999) {
+					echo "\n<p class='dbg'>Keine Person zur Namensnummer ".$namnum."</p>";
+				}
+				if ($debug > 2) {echo "\n<p class='dbg'>SQL=<br>".$sqlp."<br>$1=gml(NamNum)= '".$gmlnn."'</p>";}
+			}
 			echo "</td>\n\t<td>&nbsp;</td>\n<tr>";
 		}
@@ -401,10 +398,6 @@
 	echo "\n</table>\n";
 	if ($n == 0) {
-		if ($debug > 0) {
-			echo "<p class='err'>keine Namensnummern zum Blatt</p>";
-		}
-		if ($debug > 2) {
-			echo "<p class='err'>Namensnummern: SQL=<br>".$sqln."<br>$1=gml(Blatt)= '".$gmlid."'</p>";
-		}
+		if ($debug > 0) {echo "<p class='err'>keine Namensnummern zum Blatt</p>";}
+		if ($debug > 2) {echo "<p class='err'>Namensnummern: SQL=<br>".$sqln."<br>$1=gml(Blatt)= '".$gmlid."'</p>";}
 	}	
 	return $n; 