Index: /trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisbestnw.php	(revision 130)
+++ /trunk/var/www/info/alkis/alkisbestnw.php	(revision 131)
@@ -11,4 +11,5 @@
 	16.11.2011  neuer Style class='dbg'
 	17.11.2011  Parameter der Functions geÃ€ndert
+	22.11.2011  Feldname land in ax_buchungsblattbezirk geÃ€ndert
 
 	ToDo:
@@ -66,5 +67,6 @@
 $sql.="FROM ax_buchungsblatt g ";
 $sql.="LEFT JOIN ax_buchungsblattbezirk b ON g.land=b.land AND g.bezirk=b.bezirk ";  // BBZ
-$sql.="LEFT JOIN ax_dienststelle a ON b.\"gehoertzu|ax_dienststelle_schluessel|land\"=a.land AND b.stelle=a.stelle ";
+//$sql.="LEFT JOIN ax_dienststelle a ON b.\"gehoertzu|ax_dienststelle_schluessel|land\"=a.land AND b.stelle=a.stelle ";
+$sql.="LEFT JOIN ax_dienststelle a ON b.land = a.land AND b.stelle = a.stelle ";
 $sql.="WHERE g.gml_id= $1 ";
 $sql.="AND a.stellenart=1000;"; // Amtsgericht
@@ -390,5 +392,6 @@
 	$sql.="JOIN ax_buchungsblatt  bb ON bb.gml_id = vb.beziehung_zu ";	// Blatt berechtigt
 	$sql.="LEFT JOIN ax_buchungsblattbezirk bz ON bb.land = bz.land AND bb.bezirk = bz.bezirk ";
-	$sql.="LEFT JOIN ax_dienststelle ag ON bz.\"gehoertzu|ax_dienststelle_schluessel|land\" = ag.land AND bz.stelle=ag.stelle ";
+//	$sql.="LEFT JOIN ax_dienststelle ag ON bz.\"gehoertzu|ax_dienststelle_schluessel|land\" = ag.land AND bz.stelle=ag.stelle ";
+	$sql.="LEFT JOIN ax_dienststelle ag ON bz.land = ag.land AND bz.stelle=ag.stelle ";	
 	$sql.="LEFT JOIN ax_buchungsstelle_buchungsart ba ON sb.buchungsart = ba.wert ";
 	$sql.="WHERE vf.beziehung_zu= $1 ";
Index: /trunk/var/www/info/alkis/alkisgebaeudenw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 130)
+++ /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 131)
@@ -7,4 +7,5 @@
 	25.07.2011  PostNAS 0.5/0.6 Versionen unterscheiden
 	26.07.2011  debug, SQL nur im Testmodus anzeigen
+	22.11.2011  Feld ax_gebaeude.description ist entfallen
 	
 	ToDo: lfd.Nr. der NebengebÃ€ude alternativ zur Hausnummer anzeigen.
@@ -124,8 +125,7 @@
 echo "\n<p>.. auf oder an dem Flurst&uuml;ck. Ermittelt durch Verschneidung der Geometrie.</p>";
 
-// +++ Zustand 3000 = geplantes GebÃ€ude
-
 // G e b a e u d e
-$sqlg ="SELECT g.gml_id, g.name, g.description, g.bauweise, g.gebaeudefunktion, g.anzahlderoberirdischengeschosse AS aog, ";
+// $sqlg ="SELECT g.gml_id, g.name, g.description, g.bauweise, g.gebaeudefunktion, g.anzahlderoberirdischengeschosse AS aog, ";
+$sqlg ="SELECT g.gml_id, g.name, g.bauweise, g.gebaeudefunktion, g.anzahlderoberirdischengeschosse AS aog, ";
 $sqlg.="h.bauweise_beschreibung, u.bezeichner, v.beziehungsart, v.beziehung_zu, s.lage, s.bezeichnung, l.hausnummer, ";
 
@@ -145,4 +145,9 @@
 $sqlg.="LEFT JOIN ax_gebaeude_bauweise h ON g.bauweise = h.bauweise_id ";
 $sqlg.="LEFT JOIN ax_gebaeude_funktion u ON g.gebaeudefunktion = u.wert ";
+
+// Weitere SchlÃŒsseltabellen (ab 11.2011)
+// ++ ax_gebaeude_zustand
+// ++ ax_gebaeude_weiterefunktion
+// ++ ax_gebaeude_dachform
 
 // Beziehungen verfolgen (holt die Hausnummer Hauptgeb.)
@@ -160,10 +165,7 @@
 // oder in Loop: Wenn HsNr leer ist, eine kurze Abfrage auf NebengebÃ€ude-Nr.
 
-// ID des aktuellen FS
-$sqlg.="WHERE f.gml_id= $1 "; 
-
-// ALT: "within" liefert nur Gebaeude, die komplett im Flurstueck liegen
-//$sqlg.="AND within(g.wkb_geometry,f.wkb_geometry) = true ";
-
+$sqlg.="WHERE f.gml_id= $1 "; // ID des akt. FS
+
+// "within" liefert nur Gebaeude, die komplett im Flurstueck liegen
 // "intersects" liefert ueberlappende Flaechen
 $sqlg.="AND st_intersects(g.wkb_geometry,f.wkb_geometry) = true ";
Index: /trunk/var/www/info/alkis/alkislage.php
===================================================================
--- /trunk/var/www/info/alkis/alkislage.php	(revision 130)
+++ /trunk/var/www/info/alkis/alkislage.php	(revision 131)
@@ -9,4 +9,5 @@
 	25.07.2011  PostNAS 0.5/0.6 Versionen unterscheiden
 	26.07.2011  debug, SQL nur im Testmodeus ausgeben
+	22.11.2011  Felder ax_gebaeude.description und .individualname sind entfallen
 
 	ToDo: Entschluesseln Kreis usw.
@@ -384,5 +385,6 @@
 			break;
 	}
-	$sql ="SELECT g.gml_id, g.gebaeudefunktion, g.description, g.name, g.lagezurerdoberflaeche, g.bauweise, g.anzahlderoberirdischengeschosse AS aog, g.grundflaeche, g.individualname, g.zustand, ";
+//	$sql ="SELECT g.gml_id, g.gebaeudefunktion, g.description, g.name, g.lagezurerdoberflaeche, g.bauweise, g.anzahlderoberirdischengeschosse AS aog, g.grundflaeche, g.individualname, g.zustand, ";
+	$sql ="SELECT g.gml_id, g.gebaeudefunktion, g.name, g.lagezurerdoberflaeche, g.bauweise, g.anzahlderoberirdischengeschosse AS aog, g.grundflaeche, g.zustand, ";
 	$sql.="round(area(g.wkb_geometry)::numeric,2) AS flaeche, h.bauweise_beschreibung, u.bezeichner ";
 	$sql.="FROM ax_gebaeude g ";
@@ -411,7 +413,7 @@
 			echo $row["bezeichner"]."</td></tr>"; // integer
 
-			if (!$row["description"] == "") {
-				echo "\n\t<tr><td>Beschreibung:</td><td>".$row["description"]."</td></tr>"; // integer - EntschlÃŒsseln!
-			}
+	//		if (!$row["description"] == "") {
+	//			echo "\n\t<tr><td>Beschreibung:</td><td>".$row["description"]."</td></tr>"; // integer - EntschlÃŒsseln!
+	//		}
 
 			if (!$row["name"] == "") {
@@ -441,7 +443,7 @@
 			echo "\n\t<tr><td>Geometrische Fl&auml;che:</td><td title='berechnete Fl&auml;che'>".$row["flaeche"]." m&#178;</td></tr>";
 
-			if (!$row["individualname"] == "") {
-				echo "\n\t<tr><td>Individualname:</td><td>".$row["individualname"]."</td></tr>"; // char(7)
-			}
+	//		if (!$row["individualname"] == "") {
+	//			echo "\n\t<tr><td>Individualname:</td><td>".$row["individualname"]."</td></tr>"; // char(7)
+	//		}
 
 			if (!$row["zustand"] == "") {